[med-svn] r22091 - trunk/packages/conservation-code/trunk/debian/tests

Tatiana Malygina latticetower-guest at moszumanska.debian.org
Mon Jun 6 08:54:41 UTC 2016


Author: latticetower-guest
Date: 2016-06-06 08:54:40 +0000 (Mon, 06 Jun 2016)
New Revision: 22091

Added:
   trunk/packages/conservation-code/trunk/debian/tests/non-default-params-test
Modified:
   trunk/packages/conservation-code/trunk/debian/tests/control
   trunk/packages/conservation-code/trunk/debian/tests/installation-test
Log:
fixed example file in test

Modified: trunk/packages/conservation-code/trunk/debian/tests/control
===================================================================
--- trunk/packages/conservation-code/trunk/debian/tests/control	2016-06-06 07:39:30 UTC (rev 22090)
+++ trunk/packages/conservation-code/trunk/debian/tests/control	2016-06-06 08:54:40 UTC (rev 22091)
@@ -1,2 +1,2 @@
-Tests: installation-test
+Tests: installation-test, non-default-params-test
 Depends: @

Modified: trunk/packages/conservation-code/trunk/debian/tests/installation-test
===================================================================
--- trunk/packages/conservation-code/trunk/debian/tests/installation-test	2016-06-06 07:39:30 UTC (rev 22090)
+++ trunk/packages/conservation-code/trunk/debian/tests/installation-test	2016-06-06 08:54:40 UTC (rev 22091)
@@ -2,9 +2,7 @@
 # autopkgtest check: build and run with default test data, taken from package's readme.txt
 # Author: Tatiana Malygina <merlettaia at gmail.com>
 
-# Following line is commented, because in normal situation conservation-code
-# returns error code 1 (or 2), when it is called with less than 2 parameters:
-#set -e
+set -e
 
 pkg=conservation-code
 
@@ -15,8 +13,8 @@
 
 cd $ADTTMP
 
-#this just shows help - and also returns error code 1 (because no alignment matrix can be found):
-score_conservation -h
+cp -a /usr/share/doc/${pkg}/examples/* .
 
-#the same error is produced by call
-score_conservation -m /usr/share/${pkg}/matrix/blosum62.bla 2plc__hssp-filtered.aln
+#following call doesn't produce error when default alignment matrix can be found
+score_conservation -o alignment.scores 2plc__hssp-filtered.aln
+[ -e alignment.scores ]

Added: trunk/packages/conservation-code/trunk/debian/tests/non-default-params-test
===================================================================
--- trunk/packages/conservation-code/trunk/debian/tests/non-default-params-test	                        (rev 0)
+++ trunk/packages/conservation-code/trunk/debian/tests/non-default-params-test	2016-06-06 08:54:40 UTC (rev 22091)
@@ -0,0 +1,25 @@
+#!/bin/sh
+# autopkgtest check: build and run with default test data, taken from package's readme.txt
+# Author: Tatiana Malygina <merlettaia at gmail.com>
+
+set -e
+
+pkg=conservation-code
+
+if [ "$ADTTMP" = "" ] ; then
+  ADTTMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  trap "rm -rf $ADTTMP" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cd $ADTTMP
+
+cp -a /usr/share/doc/${pkg}/examples/* .
+
+#following call goes ok with valid matrix file
+score_conservation -m /usr/share/${pkg}/matrix/blosum100.bla -o alignment.scores 2plc__hssp-filtered.aln
+[ -e alignment.scores ]
+
+# following call has invalid matrix file as a parameter -> script tries to use identity matrix instead
+# can produce error
+score_conservation -m /usr/share/${pkg}/matrix/blosum63.bla -o alignment2.scores 2plc__hssp-filtered.aln
+[ -e alignment2.scores ]




More information about the debian-med-commit mailing list